      program stdtable
      logical debug
      real*8 krf
c
      open (unit=20,file='gro-table.xvg',form='formatted')
c
      debug = .false.
c
      write(6,*) 'input epsr, epsrf, flambdac, flambdalj,
     1    cutcoul, cutlj, spacing, range'
      read (5,*) epsr, epsrf, flambdac, flambdalj, 
     1     cutcoul, cutlj, 
     1     spacing, range
      write (6,*) 'epsr = ', epsr, ' epsrf = ', epsrf, 
     1  ' flambdac = ', flambdac, 
     1  ' flambdalj = ', flambdalj, 
     1  ' coulomb cut-off= ', cutcoul, 
     1  ' Lennarf Jones cut-off= ', cutlj, 
     1  ' spacing = ', spacing, 
     1  ' range = ', range
c
      npoints = int(range/spacing) + 1
      zero = 0.0d00
      one = 1.0d00
      two = 2.0d00
      three = 3.0d00
      third = one/three
      four = 4.0d00
      fourth = one/four
      six = 6.0d00
      twelve = 12.0d00
c
      power1 = one
      power2 = six
      power3 = twelve
c
      fcscal = flambdac/epsr
c
      rco2 = cutcoul*cutcoul
      rco3 = rco2*cutcoul
      krf = (epsrf-epsr)/(rco3*(two*epsrf+epsr))
      crf = (three*epsrf)/(cutcoul*(two*epsrf+epsr))
      fshift = (three*epsr)/(cutcoul*cutcoul*(two*epsrf+epsr))
      if (debug) then
         write (6,*) ' krf, crf = ', 
     1   krf, ' ' , crf
      endif
c
      write (20,1001) zero, zero, zero, zero, zero, zero, zero
      do i = 2, npoints
        r = (i-1)*spacing
        if (r .gt. cutcoul) then
          p1 = zero
          f1 = zero
        else 
          rm1 = one/r
          rm2 = rm1*rm1 
          rc2 = r*r
c
          p1 = rm1 + krf*rc2 - crf
          f1 = rm2 - two*krf*r - fshift
c
          if (debug) then
            write(6,*) ' r, p1, f1 = ', r, ' ', p1, ' ', f1
          endif
        endif
c
c
c --- second and third terms
c
        if (r .gt. cutlj) then
          p2 = zero
          f2 = zero
          p3 = zero
          f3 = zero
        else 
          rm6 = rm2*rm2*rm2
          rm12 = rm6*rm6
          rm7 = rm6*rm1
          rm13 = rm12*rm1
          p2 = -rm6
          f2 = -six*rm7
          p3 = rm12
          f3 = twelve*rm13
          if (debug) then
            write(6,*) ' r, p2, f2 = ', r, 
     1                 ' ', p2, ' ', f2
            write(6,*) ' r, p3, f3 = ', r, 
     1                 ' ', p3, ' ', f3
          endif
        endif
        write (20,1001) r, fcscal*p1, fcscal*f1, 
     1  flambdalj*p2, 
     1  flambdalj*f2, 
     1  flambdalj*p3, 
     1  flambdalj*f3
 1001   format(7(e20.10,1x))
      enddo
c
      stop
      end
